﻿using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Cells;
using Syncfusion.UI.Xaml.Utility;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace EnterKeyBehavior
{
    public partial class MainWindow : Window
    {
        private readonly AutoRowHeightHelper heightHelper;
        public MainWindow()
        {
            InitializeComponent();
            heightHelper = new AutoRowHeightHelper(this.sfdatagrid);
            this.sfdatagrid.GridColumnSizer.FontSize = 18.0;
            this.sfdatagrid.CellRenderers.Remove("MultiColumnDropDown");
            this.sfdatagrid.CellRenderers.Add("MultiColumnDropDown", new GridCellMultiColumnDropDownRendererExt());
            
        }
    }
}
