﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EnterKeyBehavior
{
    public class Product : INotifyPropertyChanged
    {
        private bool ischecked;

        public bool Ischecked
        {
            get { return ischecked; }
            set
            {
                ischecked = value;
                OnPropertyChanged("Ischecked");
            }
        }

        private bool isActive;

        public bool IsActive
        {
            get { return isActive; }
            set
            {
                isActive = value;
                OnPropertyChanged("IsActive");
            }
        }

        private string productId;

        public string ProductId
        {
            get { return productId; }
            set
            {
                productId = value;
                OnPropertyChanged("ProductId");
            }
        }

        private string productName;

        public string ProductName
        {
            get { return productName; }
            set
            {
                productName = value;
                OnPropertyChanged("ProductName");
            }
        }

        private int salesID;

        public int SalesID
        {
            get { return salesID; }
            set
            {
                salesID = value;
                OnPropertyChanged("SalesID");
            }
        }

        private string customerName;

        public string CustomerName
        {
            get { return customerName; }
            set
            {
                customerName = value;
                OnPropertyChanged("CustomerName");
            }
        }

        private string customerId;

        public string CustomerId
        {
            get { return customerId; }
            set
            {
                customerId = value;
                OnPropertyChanged("CustomerId");
            }
        }

        private string customerBranch;

        public string CustomerBranch
        {
            get { return customerBranch; }
            set
            {
                customerBranch = value;
                OnPropertyChanged("CustomerBranch");
            }
        }

        public Product(bool ischeck, bool active, string productId, string productName, int salesID, string customerName,
            string customerId, string customerBranch)
        {
            this.Ischecked = ischeck;
            this.IsActive = active;
            this.productId = productId;
            this.productName = productName;
            this.salesID = salesID;
            this.customerName = customerName;
            this.customerId = customerId;
            this.customerBranch = customerBranch;
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(String prop)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(prop));
            }
        }
    }
}
